You can not select more than 25 topics
Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
33 lines
1.2 KiB
33 lines
1.2 KiB
6 years ago
|
From 0259f1c246d3c5b7cf9cb234571e025e529e8716 Mon Sep 17 00:00:00 2001
|
||
|
From: Harald Hoyer <harald@redhat.com>
|
||
|
Date: Mon, 7 Aug 2017 15:09:13 +0200
|
||
|
Subject: [PATCH] network/ifup: don't arping for point-to-point connections
|
||
|
|
||
|
https://bugzilla.redhat.com/show_bug.cgi?id=1477339
|
||
|
|
||
|
Cherry-picked from: 5abd692fe46215c38f564b59db50193daf745af5
|
||
|
Resolves: #1477339
|
||
|
---
|
||
|
modules.d/40network/ifup.sh | 8 +++++---
|
||
|
1 file changed, 5 insertions(+), 3 deletions(-)
|
||
|
|
||
|
diff --git a/modules.d/40network/ifup.sh b/modules.d/40network/ifup.sh
|
||
|
index b3219fc1..9ed48155 100755
|
||
|
--- a/modules.d/40network/ifup.sh
|
||
|
+++ b/modules.d/40network/ifup.sh
|
||
|
@@ -118,9 +118,11 @@ do_static() {
|
||
|
ip addr add $ip/$mask ${srv:+peer $srv} dev $netif
|
||
|
wait_for_ipv6_dad $netif
|
||
|
else
|
||
|
- if ! arping -f -q -D -c 2 -I $netif $ip; then
|
||
|
- warn "Duplicate address detected for $ip for interface $netif."
|
||
|
- return 1
|
||
|
+ if [ -z "$srv" ]; then
|
||
|
+ if ! arping -f -q -D -c 2 -I $netif $ip; then
|
||
|
+ warn "Duplicate address detected for $ip for interface $netif."
|
||
|
+ return 1
|
||
|
+ fi
|
||
|
fi
|
||
|
ip -4 addr flush dev $netif
|
||
|
ip addr add $ip/$mask ${srv:+peer $srv} brd + dev $netif
|